/*
 * Copyright (C) 2015 Karumi.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.karumi.dexter.listener.single;

import com.karumi.dexter.PermissionToken;
import com.karumi.dexter.listener.PermissionDeniedResponse;
import com.karumi.dexter.listener.PermissionGrantedResponse;
import com.karumi.dexter.listener.PermissionRequest;

/**
 * Empty implementation of {@link PermissionListener} to allow extensions to implement only the
 * required methods
 * @deprecated Use {@link BasePermissionListener} instead that has a default implementation
 * for the method onPermissionRationaleShouldBeShown.
 */
@Deprecated
public class EmptyPermissionListener implements PermissionListener {

  @Override public void onPermissionGranted(PermissionGrantedResponse response) {

  }

  @Override public void onPermissionDenied(PermissionDeniedResponse response) {

  }

  @Override public void onPermissionRationaleShouldBeShown(PermissionRequest permission,
      PermissionToken token) {

  }
}
